[@bigcommerce/checkout-sdk](../README.md) / FormField

# Interface: FormField

## Table of contents

### Properties

- [custom](FormField.md#custom)
- [default](FormField.md#default)
- [fieldType](FormField.md#fieldtype)
- [hidden](FormField.md#hidden)
- [id](FormField.md#id)
- [inputDateFormat](FormField.md#inputdateformat)
- [itemtype](FormField.md#itemtype)
- [label](FormField.md#label)
- [max](FormField.md#max)
- [maxLength](FormField.md#maxlength)
- [min](FormField.md#min)
- [name](FormField.md#name)
- [options](FormField.md#options)
- [required](FormField.md#required)
- [requirements](FormField.md#requirements)
- [secret](FormField.md#secret)
- [type](FormField.md#type)

## Properties

### custom

• **custom**: `boolean`

___

### default

• `Optional` **default**: `string`

___

### fieldType

• `Optional` **fieldType**: [`FormFieldFieldType`](../README.md#formfieldfieldtype)

___

### hidden

• `Optional` **hidden**: `boolean`

___

### id

• **id**: `string`

___

### inputDateFormat

• `Optional` **inputDateFormat**: `string`

___

### itemtype

• `Optional` **itemtype**: `string`

___

### label

• **label**: `string`

___

### max

• `Optional` **max**: `string` \| `number`

___

### maxLength

• `Optional` **maxLength**: `number`

___

### min

• `Optional` **min**: `string` \| `number`

___

### name

• **name**: `string`

___

### options

• `Optional` **options**: [`FormFieldOptions`](FormFieldOptions.md)

___

### required

• **required**: `boolean`

___

### requirements

• `Optional` **requirements**: [`CustomerPasswordRequirements`](CustomerPasswordRequirements.md)

___

### secret

• `Optional` **secret**: `boolean`

___

### type

• `Optional` **type**: [`FormFieldType`](../README.md#formfieldtype)
